-- тестовый класс
trigger_deleter = inherit_table(game_object)

function trigger_deleter:on_init()
	game_object.on_init(self)
	
	self:create_box_body(1.0, 1.0, 1.0, 0.0, 0.0, 0.0, true, false)
end

function trigger_deleter:on_shutdown()
	game_object.on_shutdown(self)
end

function trigger_deleter:on_update(dt)
	game_object.on_shutdown(self, dt)
end

function trigger_deleter:on_collide(other)
	console.print(string.format("trigger_deleter:on_collide: %s", other:get_classname()))
	put_debug_string_to_screen(string.format("trigger_deleter:on_collide: %s", other:get_classname()), 4)

	-- FOR TEST
	other:mark_for_delete()
end